/*
*******************************************************************************
*
*   Copyright (C) 2009-2014, International Business Machines
*   Corporation and others.  All Rights Reserved.
*
*******************************************************************************
*   file name:  std_string.h
*   encoding:   US-ASCII
*   tab size:   8 (not used)
*   indentation:4
*
*   created on: 2009feb19
*   created by: Markus W. Scherer
*/

#ifndef __STD_STRING_H__
#define __STD_STRING_H__

/**
 * \file
 * \brief C++ API: Central ICU header for including the C++ standard &lt;string&gt;
 *                 header and for related definitions.
 */

#include "unicode/utypes.h"

#if U_HAVE_STD_STRING

#if !defined(_MSC_VER)
namespace std { class type_info; } // WORKAROUND: http://llvm.org/bugs/show_bug.cgi?id=13364
#endif

#ifdef __ANDROID_API__
#if __ANDROID_API__ < 21
#include <wchar.h>
extern int               iswblank(wint_t);
extern int vfwscanf(FILE*, const wchar_t*, va_list);
extern int vswscanf(const wchar_t*, const wchar_t*, va_list);
extern int vwscanf(const wchar_t*, va_list);
extern float wcstof(const wchar_t*, wchar_t**);
extern long double wcstold(const wchar_t*, wchar_t**);
extern long long wcstoll(const wchar_t*, wchar_t**, int);
extern unsigned long long wcstoull(const wchar_t*, wchar_t**, int);
#endif
#endif

#include <string>

#endif  // U_HAVE_STD_STRING

#endif  // __STD_STRING_H__
